#!/bin/sh
# Copyright @GD (C)2005
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: smsit.sh,v 1.4 2007/08/06 10:17:27 gd Exp $

CONF=/etc/smsit.conf

. ${CONF}

MAILDIR="${MAILDIR:-Maildir}"
NEWDIR="${MAILDIR}/new"
CURDIR="${MAILDIR}/cur"
TMPDIR="${MAILDIR}/tmp"
COM="${COM:-/dev/cuaa1}"

find=/bin/find
awk=/bin/awk
tr=/bin/tr
rm=/bin/rm
scmxx=/bin/scmxx
grep=/bin/grep
wait_on=/bin/wait_on
sleep=/bin/sleep
head=/bin/head
mv=/bin/mv

while :
do
    curfile="`${find} ${NEWDIR} -type f | ${head} -1`"
    
    if [ ! -z "${curfile}" ]
    then
	phone="`${awk} --re-interval \
		'/^: +\+[0-9]{1,2}\(?[0-9]{3}\)?[0-9]{3}-?[0-9]{2}-?[0-9]{2}$/ { print $2 }' ${curfile} | \
            ${tr} -c -d '+1234567890'`" #    +  
					#  , 
	
	mess="`${awk} --re-interval \
		'/^: +.+$/ { print substr(gensub(\" +\", \" \", \"g\"), 12, 160) }' ${curfile}`" #   160 

	if [ ! -z "${phone}" -a ! -z "${mess}" ]
	then
	    #  SMS
	    result=`${scmxx} -d ${COM} -s -S \
            	    --direct -n ${phone} -t "${mess}" 2>&1 | \
    		${grep} 'message was sent'` #  , 
                        		    #  
	else
	    result="Non format file"
	fi

	if [ ! -z "${result}" ]
	then
    	    #   
    	    #   
    	    ${rm} -rf "${curfile}"
	else
	    #    
	    ${mv} "${curfile}" "${CURDIR}/"
	    ${sleep} 5
	fi
	
    else 
	${wait_on} -t 3600 -w "${NEWDIR}"
	if [ ${?} -eq 0 ]
	then
	    ${mv} "${CURDIR}/*" "${NEWDIR}/"
	fi
    fi
done
