SHEBANG
# Copyright @GD (C)2005
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.5 2005/05/20 14:41:54 gd Exp $

JNTROSTUP(smsgate,,dnl
,dnl
# jailup smsgate dir jailname jailaddr dev cuaa
#           dir relative to ${JAILUPDIR}
#           jailname - hostname for jail (see jail(2) hostname)
#           jailaddr - IP addr for jail (see jail(2) ip_number)
#           dev - one of jailup devfull devices
#           cuaa - com port where modem installed (cuaa0 | cuaa1)
# installed jailup sh, ports/comms/scmxx and ports/sysutils/wait_on
#						useddnl
)

this="${UPLIBDIR}/${genclass}"
jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
dev="${4:-vn7sXx}"
cuaa="${5:-cuaa1}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

mount=/sbin/mount
umount=/sbin/umount

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" ${MTREE}

${up_shlib} "${main_dir}/usr/lib" << "EOF"
    c gnugetopt iconv /usr/local/lib/libintl.so.6
EOF
    
${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
EOF

${up_exec} "${main_dir}/bin" << EOF
    scmxx
    ${this}/smsit.sh
    wait_on
EOF

      #####################################
      ####                             ####
      #### Begin of etc fill           ####
      ####                             ####
${up_ponf} "${conf_dir}/smsit.conf" << EOF
MAILDIR=/home/ispdb/Maildir
COM=/dev/${cuaa}
EOF

${up_ponf} "${conf_dir}/group" << "EOF"
uucp:*:66:
dialer:*:68:ispdb
ispdb:*:98:
EOF

${up_ponf} "${conf_dir}/master.passwd" << "EOF"
uucp:*:66:66::0:0::/nonexistent:/nonexistent
ispdb:*:98:98::0:0:ispDB:/home/ispdb:/bin/sh
EOF
      ####                             ####
      #### End of etc fill             ####
      ####                             ####
      #####################################
${pwd_mkdb} -d "${conf_dir}" -p "${conf_dir}/master.passwd"

${up_mtree} "${main_dir}" ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.                       type=dir mode=0755
    group
    master.passwd       mode=0600
..
EOF

      #####################################
      ####                             ####
      ####  Begin prepare cuua device  ####
      ####                             ####
${mount} /dev/${dev} ${main_dir}/dev
${rm} -rf ${main_dir}/dev/ptyp*
${rm} -rf ${main_dir}/dev/ttyp*
cd ${main_dir}/dev
${ln} -fs /dev/MAKEDEV
./MAKEDEV ${cuaa}
${rm} MAKEDEV
cd ${TMPDIR:-/tmp}
${umount} ${main_dir}/dev
      ####                             ####
      #### End of prepare cuua device  ####
      ####                             ####
      #####################################

${cat} << EOF >> "${genconfig}"
#${genclass}    ${inclass}          ${jdir} ${jailsname}    ${jailsaddr}    0	98	68
EOF

      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} << EOF >> "${etcdir}/fstab"
#/dev/${dev}            ${main_dir}/dev ufs     rw,noexec,noauto 0 0
#${conf_dir}            ${main_dir}/etc null    ro,nodev,noexec 0 0
EOF

echo "#${mount} \"${main_dir}/dev\"" >> "${etcdir}/rc.local"

      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
